\section{Experiments}
\label{sec:experiments}

We evaluate the accuracy and the efficiency of the splitting approach
presented in Sect.~\ref{sec:splitting} for realistic data and on the
reference geometry in Fig.~\ref{fig:mesh} approximating ventricles and artia
$\Omega_\text{V}\cup \Omega_\text{A}$. The discretization parameters are listed in
Tab.~\ref{tab:meshes}.

\begin{figure}[H] 
\begin{minipage}[t]{0.4\textwidth}
\centering
  		\includegraphics[width=0.7\textwidth]{images/GeoLevel00}
  		\subcaption{Tetrahedral mesh on level $\ell= 0$.}
  		\label{geoLevel0}
\end{minipage}
\hfill
\begin{minipage}[t]{0.55\textwidth}
\centering
\includegraphics[width=\textwidth]{images/GeoLevel3Zoomed}
  		\subcaption{Tetrahedral mesh on on level $\ell= 3$ (zoomed).}
  		\label{geoLevel1}
\end{minipage}
\caption{Reference geometry approximating ventricles and atria on level $\ell=0$ and with three uniform refinement steps.}
\label{fig:mesh}
\end{figure}

\begin{table}[H] 
\begin{tabular}{r|r|r|r|r} 
level & $\ell=0$ & $\ell=1$ & $\ell=2$  &  $\ell=3$  \\
\hline
tetrahedra    &       16\,599  &  132\,792 &  1\,062\,336  & 8\,498\,688\\
$\dim \vec V^h$    &        5\,302  &   32\,194 &     217\,141  & 1\,576\,459\\
$h\in [h_\text{min},h_\text{max}]$
              &   [1.61,12.05] & [0.51,6.03] & [0.25,3.01] & [0.13,1.51]
\end{tabular}
\smallskip
\caption{Discretization parameters for the linear finite elements space $\vec V^h$
  approximating the electric potential on
  the meshes in Fig.~\ref{fig:mesh} (all lengths are given in mm).}
\label{tab:meshes}
\end{table}
 
The electric potential is activated by an external stimulus
$I_\text{ext}\in \mathrm L_2(0,T;\Omega)$ defined by \eqref{eq:I_ext}.
The positions of the stimulation points $\mathcal N^h_\text{ext}$ in
the ventricles and the right atrium are illustrated in
Fig.~\ref{fig:Purkinje}.

\begin{figure}[thb] 
  \includegraphics[width=0.4\textwidth]{images/PurkinjeTree}
  \caption{Illustration of the Purkinje fibers and the stimulus points
    at the end of each branch are shown with their respective
    activation time.  The external stimulus points of the sinus node
    at $t = 0$\,s is shown in green.}
  \label{fig:Purkinje}
\end{figure}

%% Different settings for space, time and
%% substepping:\textcolor{green}{oder sollen wir hier andere Werte
%%   testen?}\\ Level: $1,2,3$\\ timestep: $0.005, 0.001, 0,0005, 0.0001$
%% \\ substeps: $ 10, 20,50, 100$ \\

%% For the evaluation of the potential a point in the ventricles
%% \textcolor{green}{und in den Atrien, da da ein anderes Zellmodel???}
%% was chosen. At this point the values of the potential are plotted over
%% time and the distance to a reference solution was computed as in
%% (\ref{equation l2}).

%% \textcolor{green}{Es fehlen die Plots(inkl. Text als Erkl\"arung) und
%%   eine Figure mit Bildern, wie die Welle zu unterschiedlichen
%%   Zeitpunkten aussieht}

\Paragraph{Numerical evaluation of the convergence properties}

We test the convergence of the splitting scheme defined in
Sect.~\ref{sec:splitting} with respect to the mesh level $\ell=1,2,3$,
the time step size ${\vartriangle} t = 2^{-j}$ ms, and the
number of substeps $M= 2^m$ defining the step size ${\vartriangle}
t/(2M)$ of time integration of the cell models. The corresponding
approximation of the electric potential is denoted by
$V_\text{m}^{\ell,j,m}$.

The convergence for different discretization parameters is evaluated by the 
the evolution of the electric potential
    $$
    V_\text{m,ref}^{\ell,j,m} =
    \big(V_{\text{m,ref},1}^{\ell,j,m},V_{\text{m,ref},2}^{\ell,j,m},\ldots)\big)
    \in \mathrm L_2(0,T;\mathbb R^K)
    $$
at reference points $\vec x_{\text{ref},k} \in  \bar \Omega_\text{V}$, i.e., 
$V_{\text{m,ref},k}^{\ell,j,m}(t) = V_\text{m}^{\ell,N,M}(t,\vec x_{\text{ref},k})$
for $t\in (0,T)$ and $k=1,...,K$. In our test we use $T=0.7$ s and $K=3$
evaluation points
$x_{\text{ref},1} = (78.444, -57.4689, -46.2186)$,
$x_{\text{ref},2} = (-2.4484, -93.7681, -30.8923)$,
and $x_{\text{ref},3} = (-14.5399, -34.5318, -29.9278)$, cf. Tab.~\ref{tab:convergence fine} and
Fig.~\ref{fig:Potential}. In the following paragraph we explain the idea of approximating the error with extrapolation.

\Paragraph{Digression on extrapolation}
In general if we have 
\begin{eqnarray*}
V_\text{m}^h - V_\text{m} \approx Ch^p %+  \mathcal{O}( {\vartriangle} t^{p+1})
\end{eqnarray*}
for $p\geq 1$. Then the extrapolation $\widehat{V_\text{m}^h} = V_\text{m}^h + \frac{1}{2^p-1}(V_\text{m}^h - V_\text{m}^{2h})$ fullfills
\begin{eqnarray*}
|V_\text{m} - \widehat{V_\text{m}^h}| &=&  \mathcal{O}(h^{p+1}) \qquad\text{and}\\
|V_\text{m} - V_\text{m}^h | &=& \frac{1}{2^p-1}(V_\text{m}^h - V_\text{m}^{2h}) + \mathcal{O}(h^{p+1}).
\end{eqnarray*}
For the notation introduced above we have for the error in time 
\begin{eqnarray}
\label{eq: extrapolation}
\big\|  V_\text{m,ref}^{\ell,j+1,m} -  V_\text{m,ref}^{\ell,j,m}\big\|
\approx \frac{1}{2}\big\|  V_\text{m,ref}^{\ell,j,m} -  V_\text{m,ref}^{\ell,j-1,m}\big\|.
\end{eqnarray}
So if we look at the norm of  difference of a solution with timestep ${\vartriangle} t = 2^{-j} $ and a solution with halved timestep ${\vartriangle} t = 2^{-(j+1)} $ and compare it to the norm of the difference of a solution again with ${\vartriangle} t = 2^{-j} $  and now the doubled timestep ${\vartriangle} t = 2^{-(j-1)} $,the  we expect the norms to halve.

%at the reference points $\vec x_{\text{ref},1} = (77.534, -77.67315, -58.8962)$ and
%$\vec x_{\text{ref},2} = (-2.4484, -93.7681, -30.8923)$.

\begin{figure}[H] 
\begin{minipage}[t]{0.39\textwidth}
\centering
  		\includegraphics[width=\textwidth]{images/Level1t000125AllPoint.png}
  		%\subcaption{Tetrahedral mesh on level $\ell= 0$.}
  		%\label{}
\end{minipage}
\hfill
\begin{minipage}[t]{0.39\textwidth}
\centering
\includegraphics[width=\textwidth]{images/Level1tdiffersPoint2.png}
  		%\subcaption{Tetrahedral mesh on on level $\ell= 3$ (zoomed).}
  		%\label{geoLevel1}
\end{minipage}
\caption{Potential $V_\text{m}$ for different time steps, substeps and reference points.}
\label{fig:Potential}
\end{figure}

\begin{table}[H]
  \centering
  \caption{$\mathrm L_2$-norm of the potential  on level $\ell =1$ with ${\vartriangle} t = 2^{-j}$ ms.}
\label{tab:convergence coarse}
\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,1}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &         &    58.2092     & 58.0760 &    58.1382     &  58.1818 \\
$j=1$ &    58.2858     & 58.2085 & 58.2044 & 58.2053 & 58.2116 \\
$j=2$ & 58.2377 & 58.2392 & 58.2455 &  58.2504 & 58.2472  \\
$j=3$ & 58.2601 & 58.2650 & 58.2688 & 58.2703 &  58.2716 
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,2}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &         & 58.2302 &  58.2070 & 58.1903 &  58.2315\\
$j=1$ &     58.2475    &  58.2393 & 58.2475 & 58.2516 & 58.2242 \\
$j=2$ & 58.2527 & 58.2559 & 58.2632 & 58.2644 & 58.2677  \\
$j=3$ & 58.2796 & 58.2852 &  58.2888 & 58.2904 & 58.2915  
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,3}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &         & 58.7062 & 58.6522 & 58.6910 & 58.7323\\
$j=1$ &    58.5619     & 58.6322 &  58.5521 & 58.5884 & 58.5894 \\
$j=2$ & 58.6774 & 58.6818 &  58.6947 & 58.6980 &  58.6999  \\
$j=3$ & 58.7077 & 58.7126 & 58.7140 & 58.7165 &  58.7152
\end{tabular}

\end{table}


\begin{table}[H]
  \centering
  \caption{Convergence test for the substepping steps $M=2^m$ for different time step size
${\vartriangle} t = 2^{-j}$ ms.}
\label{tab: substeps coarse}

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,1}^{1,j,1}-V_\text{m,ref,1}^{1,j,0}\big\|_{0,(0,T)}$
&          & 1.8144  &  1.0137 & 0.4611
\\
$\big\|V_\text{m,ref,1}^{1,j,2}-V_\text{m,ref,1}^{1,j,1}\big\|_{0,(0,T)}$
&  3.7371  & 0.7993 &  0.3161 &   0.2103
\\
$\big\|V_\text{m,ref,1}^{1,j,3}-V_\text{m,ref,1}^{1,j,2}\big\|_{0,(0,T)}$
&  2.7691  &  1.5998 &  0.3832 &  0.1887
\\
$\big\|V_\text{m,ref,1}^{1,j,4}-V_\text{m,ref,1}^{1,j,3}\big\|_{0,(0,T)}$
& 1.8284  & 0.1324 &  0.4530 &   0.0684

\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,2}^{1,j,1}-V_\text{m,ref,2}^{1,j,0}\big\|_{0,(0,T)}$
&          &  5.6720    &  1.2573  &  0.9817
\\
$\big\|V_\text{m,ref,2}^{1,j,2}-V_\text{m,ref,2}^{1,j,1}\big\|_{0,(0,T)}$
&  5.5804  &   3.3605   &  1.1601  &   0.5462
\\
$\big\|V_\text{m,ref,2}^{1,j,3}-V_\text{m,ref,2}^{1,j,2}\big\|_{0,(0,T)}$
&  5.6991  &   0.4449   & 0.9617  &  0.3409
\\
$\big\|V_\text{m,ref,2}^{1,j,4}-V_\text{m,ref,2}^{1,j,3}\big\|_{0,(0,T)}$
& 0.7252   &   1.0767   &   0.2981  & 0.2002
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,3}^{1,j,1}-V_\text{m,ref,3}^{1,j,0}\big\|_{0,(0,T)}$
&         &   5.2758  &  1.8970 &  0.9602
\\ 
$\big\|V_\text{m,ref,3}^{1,j,2}-V_\text{m,ref,3}^{1,j,1}\big\|_{0,(0,T)}$
&   2.7452  &   4.7715  &  0.8826 &  0.8749
\\
$\big\|V_\text{m,ref,3}^{1,j,3}-V_\text{m,ref,3}^{1,j,2}\big\|_{0,(0,T)}$
&  5.6400  &   1.1189  &  1.5539 &  0.4472
\\
$\big\|V_\text{m,ref,3}^{1,j,4}-V_\text{m,ref,3}^{1,j,3}\big\|_{0,(0,T)}$
&  5.5905  &   0.2709  & 0.3648 & 0.3118
\end{tabular}


\end{table}
%Zeile = row and Spalte = column
In Tab.~\ref{tab: substeps coarse} we show the  $\mathrm L_2$-distance  of two solutions differing in timestep size and number of substeps. Every column corresponds to a fixed timestep. The rows are filled with the difference of two neighboring substeps. We expect the differences to be nearly the same in the diagonals going from bottom to top if the numerical scheme converges. But for this choice of timesteps this is not the case. Even for the small timesteps with $j=2,3$ this is not always true. Going from top to bottom in  one column we expect the $\mathrm L_2$-distance to decrease, but this is only in the case $j=3$ for every reference point. To have linear convergence, this value should halve what is not the case for this choice of timesteps. In the rows the  $\mathrm L_2$-distance should decrease from left to right, what is not the case. 

\begin{table}[H]
  \centering
\caption{Convergence test in time
${\vartriangle} t = 2^{-j}$ ms
for the different substepping steps $M=2^m$.}
\label{tab: timestep coarse}
\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$    & $m=4$ \\
\hline
$\big\|V_\text{m,ref,1}^{1,1,m}-V_\text{m,ref,1}^{1,0,m}\big\|_{0,(0,T)}$
&          &    7.7019     &  5.4451 &   7.2551 &    7.4460      
\\
$\big\|V_\text{m,ref,1}^{1,2,m}-V_\text{m,ref,1}^{1,1,m}\big\|_{0,(0,T)}$
&    1.5505      &  0.8841 & 0.6331 &    0.9148 &   0.5218
\\
$\big\|V_\text{m,ref,1}^{1,3,m}-V_\text{m,ref,1}^{1,2,m}\big\|_{0,(0,T)}$
&  1.4795  & 1.0291  & 1.0165  &   0.9066 &     0.5510    
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  & $m=4$   \\
\hline
$\big\|V_\text{m,ref,2}^{1,1,m}-V_\text{m,ref,2}^{1,0,m}\big\|_{0,(0,T)}$
&          &    11.7251     & 11.2324  &  11.9067 &   11.9527     
\\
$\big\|V_\text{m,ref,2}^{1,2,m}-V_\text{m,ref,2}^{1,1,m}\big\|_{0,(0,T)}$
&      3.7218    & 3.0434 & 2.1610 &  2.7159 & 1.9391
\\
$\big\|V_\text{m,ref,2}^{1,3,m}-V_\text{m,ref,2}^{1,2,m}\big\|_{0,(0,T)}$
& 1.9582  &  1.8820 & 1.4165  &   0.9558 & 0.9114

\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  & $m=4$  \\
\hline
$\big\|V_\text{m,ref,3}^{1,1,m}-V_\text{m,ref,3}^{1,0,m}\big\|_{0,(0,T)}$
&          &    13.2323     &   13.8058   &     14.1473 & 14.6332
\\
$\big\|V_\text{m,ref,3}^{1,2,m}-V_\text{m,ref,3}^{1,1,m}\big\|_{0,(0,T)}$
&    4.9491      &  3.0769 & 3.5730 &   2.1958 & 2.0934
\\
$\big\|V_\text{m,ref,3}^{1,3,m}-V_\text{m,ref,3}^{1,2,m}\big\|_{0,(0,T)}$
&  3.5505  &  2.9225 &  2.9624 & 2.1733 & 2.1727
\end{tabular}
\end{table}
In Tab.~\ref{tab: timestep coarse} we show the  $\mathrm L_2$-distance  of two solutions differing in the number of substeps and the size of the timestep. Every column corresponds to a fixed supstep. The rows are filled with the difference of two neighboring timesteps. For all sample points the values in the first row are  a lot bigger than in  the other rows what indicates that the timestepsize corresponding to $j=0$ is too large to get a right solution. Comparing the $\mathrm L_2$-distances in  the columns from top to bottom we can see a decrease but no halving to get linear convergence. Going from left to right in every row gives no rule in the behavior of the norms.\\

Togehter with Tab.~\ref{tab: substeps coarse} one can conclude, the numerical scheme does not converge for this choice of timesteps. In the following we choose ${\vartriangle} t = 0.1 *\cdot 2^{-j}$ ms. 


\begin{table}[H]
  \centering
  \caption{$\mathrm L_2$-norm of the potential  on level $\ell =1$ with ${\vartriangle} t = 0.1\cdot 2^{-j}$ ms.}
\label{tab:convergence fine}
\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,1}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &    58.2657     &    58.2704     & 58.2735 &    58.2751     &  58.2760\\
$j=1$ &    58.2790     & 58.2880 & 58.2890 & 58.2894 & 58.2897 \\
$j=2$ & 58.2865 & 58.2392 & 58.2455 &  58.2504 & 58.2472  \\
$j=3$ & 58.2903 & 58.2912 & 58.2916 & 58.2919 &  58.2920 
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,2}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &    58.2861     & 58.2910 &  58.2939 & 58.2955 &  58.2963\\
$j=1$ &     58.3000    &  58.3029 & 58.3044 & 58.3053 & 58.3057 \\
$j=2$ & 58.3073 & 58.3089 & 58.3097 & 58.3101 & 58.3104  \\
$j=3$ & 58.3111 & 58.3120 &  58.3124 & 58.3126 & 58.3127  
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,3}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &   58.7123      & 58.7167 & 58.7187 & 58.7197 & 58.7200\\
$j=1$ &    58.7243     & 58.7265 &  58.7274 & 58.7279 & 58.7281 \\
$j=2$ & 58.7306 & 58.7316 &  58.7320 & 58.7323 &  58.7323  \\
$j=3$ & 58.7337 & 58.7341 & 58.7344 & 58.7345 &  58.7345
\end{tabular}

\end{table}

\begin{table}[H]
  \centering
\caption{Convergence test for the substepping steps $M=2^m$ for different timestep size
${\vartriangle} t = 0.1\cdot 2^{-j}$ ms.}
\label{tab: substep fine}
\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,1}^{1,j,1}-V_\text{m,ref,1}^{1,j,0}\big\|_{0,(0,T)}$
&     0.3834     & 0.1649  & 0.1230  & 0.0510
\\
$\big\|V_\text{m,ref,1}^{1,j,2}-V_\text{m,ref,1}^{1,j,1}\big\|_{0,(0,T)}$
&  0.1800  & 0.1257 & 0.0493  &   0.0263
\\
$\big\|V_\text{m,ref,1}^{1,j,3}-V_\text{m,ref,1}^{1,j,2}\big\|_{0,(0,T)}$
&  0.1252  & 0.0488  & 0.0272  &  0.0130
\\
$\big\|V_\text{m,ref,1}^{1,j,4}-V_\text{m,ref,1}^{1,j,3}\big\|_{0,(0,T)}$
& 0.0546  &  0.0288 & 0.0128  &   0.0077

\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,2}^{1,j,1}-V_\text{m,ref,2}^{1,j,0}\big\|_{0,(0,T)}$
&     0.8147     &   0.4209   &  0.2323  &  0.1238
\\
$\big\|V_\text{m,ref,2}^{1,j,2}-V_\text{m,ref,2}^{1,j,1}\big\|_{0,(0,T)}$
&  0.4435  &   0.2347   & 0.1255   &   0.0634
\\
$\big\|V_\text{m,ref,2}^{1,j,3}-V_\text{m,ref,2}^{1,j,2}\big\|_{0,(0,T)}$
&  0.2607  &    0.1266   & 0.0613  &  0.0328
\\
$\big\|V_\text{m,ref,2}^{1,j,4}-V_\text{m,ref,2}^{1,j,3}\big\|_{0,(0,T)}$
& 0.1335   &     0.0678  &   0.0331  & 0.0158
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,3}^{1,j,1}-V_\text{m,ref,3}^{1,j,0}\big\|_{0,(0,T)}$
&     0.8913    &   0.5509  & 0.3242  &  0.1964
\\ 
$\big\|V_\text{m,ref,3}^{1,j,2}-V_\text{m,ref,3}^{1,j,1}\big\|_{0,(0,T)}$
&  0.6025   &   0.3301  &  0.1970 &  0.0925
\\
$\big\|V_\text{m,ref,3}^{1,j,3}-V_\text{m,ref,3}^{1,j,2}\big\|_{0,(0,T)}$
&  0.3738  &  0.2036   &  0.0940 &  0.0536
\\
$\big\|V_\text{m,ref,3}^{1,j,4}-V_\text{m,ref,3}^{1,j,3}\big\|_{0,(0,T)}$
&  0.2110  &  0.0939   &  0.0533 & 0.0284
\end{tabular}
\end{table}
In Tab.~\ref{tab: substep fine} we show the  $\mathrm L_2$-distance  of two solutions differing in timestep size and number of substeps. Every column corresponds to a fixed timestep. The rows are filled with the difference of two neighboring substeps. As we expect the differences  in the diagonals going from bottom to top if are nearly the same. We can conclude  that the error of the scheme is nearly the same if we choose the same small timestep ($ \frac{{\vartriangle} t}{m}$). For example the solutions of $V_\text{m,ref,2}^{1,1,3}$ , $V_\text{m,ref,2}^{1,2,2}$ and $V_\text{m,ref,2}^{1,3,1}$ are in the same error category. Comparing the $\mathrm L_2$-distance in the rows from left to right one can see a halving. This is also the case going from top to bottom in the columns of the table.

\begin{table}[H]
  \centering
\caption{Convergence test in time
${\vartriangle} t = 0.1\cdot 2^{-j}$ ms
for the different substepping steps $M=2^m$.}
\label{tab: timestep fine}
\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$    & $m=4$ \\
\hline
$\big\|V_\text{m,ref,1}^{1,1,m}-V_\text{m,ref,1}^{1,0,m}\big\|_{0,(0,T)}$
&     0.5310     &    0.3206     &  0.2730 &  0.2000  &   0.1763       
\\
$\big\|V_\text{m,ref,1}^{1,2,m}-V_\text{m,ref,1}^{1,1,m}\big\|_{0,(0,T)}$
&     0.2021     & 0.1634  & 0.0873 &   0.0669  &   0.0514
\\
$\big\|V_\text{m,ref,1}^{1,3,m}-V_\text{m,ref,1}^{1,2,m}\big\|_{0,(0,T)}$
&  0.1309  &  0.0589 &  0.0362 &  0.0221  &    0.0173     
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  & $m=4$   \\
\hline
$\big\|V_\text{m,ref,2}^{1,1,m}-V_\text{m,ref,2}^{1,0,m}\big\|_{0,(0,T)}$
&      1.0415    &    0.6717     & 0.4750  &  0.3495 &      0.2866  
\\
$\big\|V_\text{m,ref,2}^{1,2,m}-V_\text{m,ref,2}^{1,1,m}\big\|_{0,(0,T)}$
&      0.4798    & 0.2939 & 0.1861 & 0.1216  & 0.0874
\\
$\big\|V_\text{m,ref,2}^{1,3,m}-V_\text{m,ref,2}^{1,2,m}\big\|_{0,(0,T)}$
&  0.2458 &  0.1376 &  0.0756 &   0.0472 & 0.0300

\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  & $m=4$  \\
\hline
$\big\|V_\text{m,ref,3}^{1,1,m}-V_\text{m,ref,3}^{1,0,m}\big\|_{0,(0,T)}$
&     1.4922     &    1.1819     &   0.9302   &   0.7660   & 0.6543
\\
$\big\|V_\text{m,ref,3}^{1,2,m}-V_\text{m,ref,3}^{1,1,m}\big\|_{0,(0,T)}$
&     0.7033     &  0.4800  & 0.3487 &   0.2401  & 0.2000
\\
$\big\|V_\text{m,ref,3}^{1,3,m}-V_\text{m,ref,3}^{1,2,m}\big\|_{0,(0,T)}$
&  0.3616  & 0.2343  &  0.1299 & 0.0897 & 0.0649
\end{tabular}
\end{table}

In Tab.~\ref{tab: timestep fine} we show the  $\mathrm L_2$-distance  of two solutions differing in the number of substeps and the size of the timestep. Every column corresponds to a fixed supstep. The rows are filled with the difference of two neighboring timesteps. Comparing the values in the rows from left to right we can see a halving up to $m=2$ and for $m=3,4$ they decrease slower. The numerical scheme is converged and a further substepping gives no better solution. The $\mathrm L_2$-distances  in the columns halve from top to bottom up to $m=2$. For $m=3,4$ the values are nearly divided by three. The convergence is at least linear for this choice of timesteps.
 
\begin{figure}[H] 
\begin{minipage}[t]{0.39\textwidth}
\centering
  		\includegraphics[width=\textwidth]{images/Level1t0000125Pointdiffers.png}
  		%\subcaption{Tetrahedral mesh on level $\ell= 0$.}
  		%\label{}
\end{minipage}
\hfill
\begin{minipage}[t]{0.39\textwidth}
\centering
\includegraphics[width=\textwidth]{images/Level1tfinediffersPoint2.png}
  		%\subcaption{Tetrahedral mesh on on level $\ell= 3$ (zoomed).}
  		%\label{geoLevel1}
\end{minipage}
\caption{Potential $V_\text{m}$ for different time steps, substeps and reference points.}
\label{fig:Potential}
\end{figure}

\begin{table}[H]
  \centering
  \caption{$\mathrm L_2$-distance of the potential  on level $\ell =1$ with ${\vartriangle} t = 0.1\cdot 2^{-j}$ ms with a reference solution on level 2 with ${\vartriangle} t = 0.0000125$ ms and $m=8$.}
\label{tab:convergence fine}
\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,1}^{1,j,m} - V_\text{m,ref,1}^{2,3,3}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &     0.7485    &  0.9231    &  1.0267 &    1.1095     &  1.1458\\
$j=1$ &    1.0609 & 1.1531 & 1.2368 & 1.2672 & 1.2860 \\
$j=2$ & 1.1885 & 1.2698 & 1.3004 &  1.3178  &  1.3258 \\
$j=3$ & 1.2769 & 1.3087   & 1.3254       & 1.3336      &1.3387                                                                                                                                                                                         
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,2}^{1,j,m}- V_\text{m,ref,2}^{2,3,3}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &   5.0935      & 5.3455  &  5.4779   & 5.5572 &  5.5966\\
$j=1$ &    5.4717     &  5.5899 & 5.6565 & 5.6925 &  5.7121\\
$j=2$ & 5.6181 & 5.6828 & 5.7183 & 5.7351 &  5.7445 \\
$j=3$ & 5.6890 & 5.7236 &  5.7413 & 5.7505 &  5.7548 
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,3}^{1,j,m}- V_\text{m,ref,3}^{2,3,3}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &     6.9052    & 6.9567 & 7.0088 & 7.0460 & 7.0682\\
$j=1$ &    7.0639     & 7.1111 &  7.1442 & 7.1674 &  7.1773\\
$j=2$ & 7.1373 & 7.1698 & 7.1917  & 7.2018 &   7.2081 \\
$j=3$ &  7.1761 & 7.1979 & 7.2080 & 7.2141 &  7.2176
\end{tabular}

\end{table}

\bigskip


In the following numerical experiments we use now the modified stimulation current $I_\text{ext}$ defined in \eqref{eq:I_ext_smoothed}.We set the scaling factor $s_j=10 000$. In figure \ref{fig:Sigmoid} is the trajectory of the  used excitation for different scaling factors. It illustrates that small values do not reach the amplitude in the short time of excitation duration.

\begin{figure}[H] 

\centering
  		\includegraphics[width=\textwidth]{images/Sigmoid.png}
  		\caption{The excitation function $I_\text{ext}$ for different scaling factors with  duration $\tau_j = 0.003$s,amplitude $A_j=0.8202$V and starting time $t_j=17$s. }
  		\label{fig:Sigmoid}

\end{figure}


\begin{table}[H]
  \centering
  \caption{ \textbf{smooth excitation }$\mathrm L_2$-norm of the potential  on level $\ell =1$ with ${\vartriangle} t = 2^{-j}$ ms with a reference solution on level 1 with ${\vartriangle} t = 0.0000125$ ms and $m=16$.}
\label{tab:convergence coarse}
\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,1}^{1,j,m}- V_\text{m,ref,1}^{1,3,4}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &        &     6.8933    & 6.7634 &      7.0631   &    7.4070\\
$j=1$ &     2.5692    & 2.2295 &   0.6526  &  0.6101&  0.6211 \\
$j=2$ & 1.9732  &  1.5768  & 1.4792  & 1.2364  & 0.8516\\
$j=3$ &  1.1129&  0.7864  &  0.5820  &  0.4335  &0.3775
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,2}^{1,j,m}- V_\text{m,ref,1}^{1,3,4}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &         & 12.0740 &  12.4752 & 12.7252 &  12.7424\\
$j=1$ &    1.1623     &  4.8216 & 3.7727 & 3.7942 &   2.4852\\
$j=2$ & 3.5154 & 2.8969 &   2.1887& 1.5745 &  1.3863 \\
$j=3$ &   2.1464&1.4989  & 1.0590  &  0.7648&   0.5919
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,3}^{1,j,m}- V_\text{m,ref,1}^{1,3,4}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &         & 14.3609 & 13.8398 & 14.6045 & 14.6204\\
$j=1$ &    1.5906    &  2.3932&    4.8126 &  2.3833 &3.1904\\
$j=2$ &   4.7126&    4.3105&  4.1475&  3.3025 &  3.1209\\
$j=3$ &  3.3211 &  2.6401&  1.9831& 1.5990 &  1.3015
\end{tabular}
\end{table}


  
\begin{figure}[H] 
\centering
  		\includegraphics[width=\textwidth]{images/LevelDifferst0000125i16Point3.png}
\end{figure}


\begin{table}[H]
  \centering
  \caption{ \textbf{smooth excitation }$\mathrm L_2$-norm of the potential  on level $\ell =1$ with ${\vartriangle} t = 2^{-j}$ ms.}
\label{tab:convergence coarse}
\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,1}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &         &    58.1074     & 58.1719 &   58.1366      &  58.1691 \\
$j=1$ &      58.2888   &  58.2054&     58.1997& 58.2054 &   58.2110\\
$j=2$ &   58.2335&    58.2385&  58.2451 &  58.2502 & 58.2472\\
$j=3$ & 58.2599 & 58.2648 & 58.2686 &   58.2702 & 58.2715   
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,2}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &         & 58.2401 & 58.2314  & 58.2161 &  58.2314\\
$j=1$ &    58.2394     &  58.2461 &  58.2486& 58.2582 &  58.2480\\
$j=2$ &58.2541  & 58.2560 & 58.2629  & 58.2647 &   58.2676\\
$j=3$ & 58.2796  & 58.2851 &  58.2888 & 58.2904 &   58.2915
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
  $\big\|V_\text{m,ref,3}^{1,j,m}\big\|_{0,(0,T)}$
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &         & 58.6805 & 58.6067 & 58.6915 & 58.6899\\
$j=1$ &    58.6066    & 58.5474 &  58.6676 & 58.5926 & 58.6267 \\
$j=2$ & 58.6803 & 58.6799 &  58.6988 & 58.6979 &  58.6998  \\
$j=3$ & 58.7071 & 58.7121 & 58.7136 & 58.7168 &  58.7154
\end{tabular}

\end{table}


\begin{table}[H]
  \centering
  \caption{\textbf{smooth excitation }Convergence test for the substepping steps $M=2^m$ for different time step size
${\vartriangle} t = 2^{-j}$ ms.}
\label{tab: substeps coarse}

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,1}^{1,j,1}-V_\text{m,ref,1}^{1,j,0}\big\|_{0,(0,T)}$
&          & 2.0834  & 0.5812  & 0.4163
\\
$\big\|V_\text{m,ref,1}^{1,j,2}-V_\text{m,ref,1}^{1,j,1}\big\|_{0,(0,T)}$
&  1.5738  & 2.2667 & 0.2830  &   0.2390
\\
$\big\|V_\text{m,ref,1}^{1,j,3}-V_\text{m,ref,1}^{1,j,2}\big\|_{0,(0,T)}$
&   2.3983 &  0.3819 & 0.4069  &  0.1703
\\
$\big\|V_\text{m,ref,1}^{1,j,4}-V_\text{m,ref,1}^{1,j,3}\big\|_{0,(0,T)}$
&  1.9609 & 0.1412 &  0.4309 &   0.0651

\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,2}^{1,j,1}-V_\text{m,ref,2}^{1,j,0}\big\|_{0,(0,T)}$
&          &   5.6325   &  1.2274  &  0.9185
\\
$\big\|V_\text{m,ref,2}^{1,j,2}-V_\text{m,ref,2}^{1,j,1}\big\|_{0,(0,T)}$
&  6.7437  &    3.7369  &  1.1401  &   0.5781
\\
$\big\|V_\text{m,ref,2}^{1,j,3}-V_\text{m,ref,2}^{1,j,2}\big\|_{0,(0,T)}$
&  1.2693  &   0.1358   &  0.9720 &  0.3520
\\
$\big\|V_\text{m,ref,2}^{1,j,4}-V_\text{m,ref,2}^{1,j,3}\big\|_{0,(0,T)}$
&  0.4610  &   3.0121   &   0.3200  & 0.1991
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,3}^{1,j,1}-V_\text{m,ref,3}^{1,j,0}\big\|_{0,(0,T)}$
&         &   2.4403  &  1.7613 &  1.0267
\\ 
$\big\|V_\text{m,ref,3}^{1,j,2}-V_\text{m,ref,3}^{1,j,1}\big\|_{0,(0,T)}$
&    5.3598 &  4.0968    &  0.7193 &  0.8294
\\
$\big\|V_\text{m,ref,3}^{1,j,3}-V_\text{m,ref,3}^{1,j,2}\big\|_{0,(0,T)}$
&  5.6282  &  4.2195   &  1.7657 &  0.4719
\\
$\big\|V_\text{m,ref,3}^{1,j,4}-V_\text{m,ref,3}^{1,j,3}\big\|_{0,(0,T)}$
&    0.1917 &    1.9573 & 0.3808 & 0.3307
\end{tabular}


\end{table}
%Zeile = row and Spalte = column

  


\begin{table}[H]
  \centering
\caption{\textbf{smooth excitation }Convergence test in time
${\vartriangle} t = 2^{-j}$ ms
for the different substepping steps $M=2^m$.}
\label{tab: timestep coarse}
\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$    & $m=4$ \\
\hline
$\big\|V_\text{m,ref,1}^{1,1,m}-V_\text{m,ref,1}^{1,0,m}\big\|_{0,(0,T)}$
&          &    6.3317     &  7.1014 &  7.1492  & 7.4357         
\\
$\big\|V_\text{m,ref,1}^{1,2,m}-V_\text{m,ref,1}^{1,1,m}\big\|_{0,(0,T)}$
&     1.3734      &  1.0259 & 1.2810 &  0.9050   &  0.5293 
\\
$\big\|V_\text{m,ref,1}^{1,3,m}-V_\text{m,ref,1}^{1,2,m}\big\|_{0,(0,T)}$
&  1.1209  &  0.9769 & 1.0305  &   0.8871  &  0.5493       
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  & $m=4$   \\
\hline
$\big\|V_\text{m,ref,2}^{1,1,m}-V_\text{m,ref,2}^{1,0,m}\big\|_{0,(0,T)}$
&          &     11.2271    &  11.7105 & 11.9437  &   12.2100    
\\
$\big\|V_\text{m,ref,2}^{1,2,m}-V_\text{m,ref,2}^{1,1,m}\big\|_{0,(0,T)}$
&     3.7395     & 3.0136 & 2.1365 &  2.8052 & 1.3076
\\
$\big\|V_\text{m,ref,2}^{1,3,m}-V_\text{m,ref,2}^{1,2,m}\big\|_{0,(0,T)}$
&  1.9389 & 1.8282  &   1.4115&  0.9728  & 0.9067

\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c|c} 
 & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  & $m=4$  \\
\hline
$\big\|V_\text{m,ref,3}^{1,1,m}-V_\text{m,ref,3}^{1,0,m}\big\|_{0,(0,T)}$
&          &   13.9866      &  12.9642    &  14.1612    & 14.1268
\\
$\big\|V_\text{m,ref,3}^{1,2,m}-V_\text{m,ref,3}^{1,1,m}\big\|_{0,(0,T)}$
&     4.3105     &  2.1855 &  3.3842 &   2.0283 & 1.4450
\\
$\big\|V_\text{m,ref,3}^{1,3,m}-V_\text{m,ref,3}^{1,2,m}\big\|_{0,(0,T)}$
&  3.4478  & 2.9446  &  3.0775 &  2.1507& 2.1509
\end{tabular}
\end{table}

 
\begin{figure}[H] 
\begin{minipage}[t]{0.39\textwidth}
\centering
  		\includegraphics[width=\textwidth]{images/VergleichAB.png}
  		%\subcaption{Tetrahedral mesh on level $\ell= 0$.}
  		%\label{}
\end{minipage}
\hfill
\begin{minipage}[t]{0.39\textwidth}
\centering
\includegraphics[width=\textwidth]{images/VergleichsmoothedAB.png}
  		%\subcaption{Tetrahedral mesh on on level $\ell= 3$ (zoomed).}
  		%\label{geoLevel1}
\end{minipage}
\caption{Potential $V_\text{m}$ for different excitation and schemes for time integration.}
\label{fig:Potential}
\end{figure}



\begin{table}[H]
  \centering
  \caption{Duration of the simulation on level $\ell =1$ with ${\vartriangle} t = 0.1 \cdot 2^{-j}$ ms, $T=0.7$, smoothed exitation and on 128 procs(hours:minutes:seconds).}
\label{tab:convergence coarse}
\begin{tabular}{c|c|c|c|c|c} 
  duration
      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
\hline
$j=0$ &   1:33:12      &    1:35:00     & 1:34:19 &    1:34:00     &  1:37:33 \\
$j=1$ &   3:07:48      & 3:10:14 & 3:10:27 & 3:11:07 &   3:26:49\\
$j=2$ & 6:14:30 & 6:12:58 &  6:17:49& 6:28:25  &  6:20:49 \\
$j=3$ & 12:26:37 & 13:34:00 & 12:47:00 & 13:18:26 &   12:53:11
\end{tabular}
\end{table}


\begin{table}[H]
  \centering
  \caption{\textbf{smooth excitation }Convergence test for the substepping steps $M=2^m$ for different time step size
${\vartriangle} t = 0.1 \cdot 2^{-j}$ ms.}
\label{tab: substeps coarse}

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,1}^{1,j,1}-V_\text{m,ref,1}^{1,j,0}\big\|_{0,(0,T)}$
&    3.3450      &  1.9872 & 1.0866  & 0.5589
\\
$\big\|V_\text{m,ref,1}^{1,j,2}-V_\text{m,ref,1}^{1,j,1}\big\|_{0,(0,T)}$
& 2.0739  & 1.1255 &  0.5749 &   0.3046
\\
$\big\|V_\text{m,ref,1}^{1,j,3}-V_\text{m,ref,1}^{1,j,2}\big\|_{0,(0,T)}$
&  1.1258  &  0.5719 & 0.3139  &  0.1552
\\
$\big\|V_\text{m,ref,1}^{1,j,4}-V_\text{m,ref,1}^{1,j,3}\big\|_{0,(0,T)}$
&  0.6327 & 0.2992 & 0.1526  &   0.0727

\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,2}^{1,j,1}-V_\text{m,ref,2}^{1,j,0}\big\|_{0,(0,T)}$
&     7.6100     &    4.4825   &   2.5008  &  1.3155
\\
$\big\|V_\text{m,ref,2}^{1,j,2}-V_\text{m,ref,2}^{1,j,1}\big\|_{0,(0,T)}$
&  4.7048  &   2.5077   &  1.2848   &   0.6821
\\
$\big\|V_\text{m,ref,2}^{1,j,3}-V_\text{m,ref,2}^{1,j,2}\big\|_{0,(0,T)}$
&  2.7856  &   1.2682   & 0.6830  &  0.3366
\\
$\big\|V_\text{m,ref,2}^{1,j,4}-V_\text{m,ref,2}^{1,j,3}\big\|_{0,(0,T)}$
&  1.4079  &   0.7257   &    0.3399  &  0.1716
\end{tabular}

\bigskip

\begin{tabular}{c|c|c|c|c} 
      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
\hline
$\big\|V_\text{m,ref,3}^{1,j,1}-V_\text{m,ref,3}^{1,j,0}\big\|_{0,(0,T)}$
&     9.4251    &   5.9388  &  3.4822 &  1.8927
\\ 
$\big\|V_\text{m,ref,3}^{1,j,2}-V_\text{m,ref,3}^{1,j,1}\big\|_{0,(0,T)}$
&   6.4171  &   3.6000  &  1.8921 &  1.0048
\\
$\big\|V_\text{m,ref,3}^{1,j,3}-V_\text{m,ref,3}^{1,j,2}\big\|_{0,(0,T)}$
& 4.0622   & 1.9514    &  1.0138 &   0.5056
\\
$\big\|V_\text{m,ref,3}^{1,j,4}-V_\text{m,ref,3}^{1,j,3}\big\|_{0,(0,T)}$
&  2.0929  &  1.0185   &  0.4885 &  0.2399
\end{tabular}
\end{table}



%\begin{table}[H]
%  \centering
%  \caption{ \textbf{smooth excitation }$\mathrm L_2$-norm of the potential  on level $\ell =1$ with ${\vartriangle} t = 2^{-j}$ ms.}
%\label{tab:convergence coarse}
%\begin{tabular}{c|c|c|c|c|c} 
%  $\big\|V_\text{m,ref,1}^{1,j,m}\big\|_{0,(0,T)}$
%      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
%\hline
%$j=0$ &        &         &  &         &   \\
%$j=1$ &         &  &     &  &   \\
%$j=2$ &   &    &   &   & \\
%$j=3$ &  &  &  &    &    
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c|c} 
%  $\big\|V_\text{m,ref,2}^{1,j,m}\big\|_{0,(0,T)}$
%      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
%\hline
%$j=0$ &         &  &   &  &  \\
%$j=1$ &         &   &  &  &  \\
%$j=2$ &  &  &   &  &   \\
%$j=3$ &   &  &   &  &   
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c|c} 
%  $\big\|V_\text{m,ref,3}^{1,j,m}\big\|_{0,(0,T)}$
%      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   & $m=4$   \\
%\hline
%$j=0$ &         &  &  &  & \\
%$j=1$ &        &  &   &  &  \\
%$j=2$ &  &  &   &  &    \\
%$j=3$ &  &  &  &  &  
%\end{tabular}
%\end{table}
%
%\begin{table}[H]
%  \centering
%  \caption{\textbf{smooth excitation }Convergence test for the substepping steps $M=2^m$ for different time step size
%${\vartriangle} t = 2^{-j}$ ms.}
%\label{tab: substeps coarse}
%
%\begin{tabular}{c|c|c|c|c} 
%      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
%\hline
%$\big\|V_\text{m,ref,1}^{1,j,1}-V_\text{m,ref,1}^{1,j,0}\big\|_{0,(0,T)}$
%&          &   &   & 
%\\
%$\big\|V_\text{m,ref,1}^{1,j,2}-V_\text{m,ref,1}^{1,j,1}\big\|_{0,(0,T)}$
%&   &  &   &   
%\\
%$\big\|V_\text{m,ref,1}^{1,j,3}-V_\text{m,ref,1}^{1,j,2}\big\|_{0,(0,T)}$
%&    &   &   &  
%\\
%$\big\|V_\text{m,ref,1}^{1,j,4}-V_\text{m,ref,1}^{1,j,3}\big\|_{0,(0,T)}$
%&   &  &   &   
%
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c} 
%      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
%\hline
%$\big\|V_\text{m,ref,2}^{1,j,1}-V_\text{m,ref,2}^{1,j,0}\big\|_{0,(0,T)}$
%&          &      &    &  
%\\
%$\big\|V_\text{m,ref,2}^{1,j,2}-V_\text{m,ref,2}^{1,j,1}\big\|_{0,(0,T)}$
%&    &      &    &   
%\\
%$\big\|V_\text{m,ref,2}^{1,j,3}-V_\text{m,ref,2}^{1,j,2}\big\|_{0,(0,T)}$
%&    &      &   &  
%\\
%$\big\|V_\text{m,ref,2}^{1,j,4}-V_\text{m,ref,2}^{1,j,3}\big\|_{0,(0,T)}$
%&    &      &     & 
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c} 
%      & $j= 0$  & $j= 1$  & $j=2$   & $j=3$\\
%\hline
%$\big\|V_\text{m,ref,3}^{1,j,1}-V_\text{m,ref,3}^{1,j,0}\big\|_{0,(0,T)}$
%&         &     &   &  
%\\ 
%$\big\|V_\text{m,ref,3}^{1,j,2}-V_\text{m,ref,3}^{1,j,1}\big\|_{0,(0,T)}$
%&     &     &   &  
%\\
%$\big\|V_\text{m,ref,3}^{1,j,3}-V_\text{m,ref,3}^{1,j,2}\big\|_{0,(0,T)}$
%&    &     &   &  
%\\
%$\big\|V_\text{m,ref,3}^{1,j,4}-V_\text{m,ref,3}^{1,j,3}\big\|_{0,(0,T)}$
%&    &     &  & 
%\end{tabular}
%
%
%\end{table}
%%Zeile = row and Spalte = column
%
%
%\begin{table}[H]
%  \centering
%\caption{\textbf{smooth excitation }Convergence test in time
%${\vartriangle} t = 2^{-j}$ ms
%for the different substepping steps $M=2^m$.}
%\label{tab: timestep coarse}
%\begin{tabular}{c|c|c|c|c|c} 
% & $m= 0$  & $m= 1$  & $m=2$   & $m=3$    & $m=4$ \\
%\hline
%$\big\|V_\text{m,ref,1}^{1,1,m}-V_\text{m,ref,1}^{1,0,m}\big\|_{0,(0,T)}$
%&          &         &   &    &          
%\\
%$\big\|V_\text{m,ref,1}^{1,2,m}-V_\text{m,ref,1}^{1,1,m}\big\|_{0,(0,T)}$
%&          &   &  &     &   
%\\
%$\big\|V_\text{m,ref,1}^{1,3,m}-V_\text{m,ref,1}^{1,2,m}\big\|_{0,(0,T)}$
%&    &   &   &    &         
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c|c} 
% & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  & $m=4$   \\
%\hline
%$\big\|V_\text{m,ref,2}^{1,1,m}-V_\text{m,ref,2}^{1,0,m}\big\|_{0,(0,T)}$
%&          &         &   &   &   1    
%\\
%$\big\|V_\text{m,ref,2}^{1,2,m}-V_\text{m,ref,2}^{1,1,m}\big\|_{0,(0,T)}$
%&          &  &  &   & 
%\\
%$\big\|V_\text{m,ref,2}^{1,3,m}-V_\text{m,ref,2}^{1,2,m}\big\|_{0,(0,T)}$
%&   &   &   &    & 
%
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c|c} 
% & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  & $m=4$  \\
%\hline
%$\big\|V_\text{m,ref,3}^{1,1,m}-V_\text{m,ref,3}^{1,0,m}\big\|_{0,(0,T)}$
%&          &         &      &      & 
%\\
%$\big\|V_\text{m,ref,3}^{1,2,m}-V_\text{m,ref,3}^{1,1,m}\big\|_{0,(0,T)}$
%&          &   &  &    & 
%\\
%$\big\|V_\text{m,ref,3}^{1,3,m}-V_\text{m,ref,3}^{1,2,m}\big\|_{0,(0,T)}$
%&    &   &   &  & 
%\end{tabular}
%\end{table}

%\textbf{Level 2 with changed ${\vartriangle} t = 0.2 * 2^{-j}$ ms :}\\
%
%\begin{table}[H]
%  \centering
%\begin{tabular}{c|c|c|c|c} 
%  $\big\|V_\text{m,ref,1}^{2,j,m}\big\|_{0,(0,T)}$
%      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$  \\
%\hline
%$j=0$ &    58.4618     &    58.2724     & 58.2765 &  58.2796  \\
%$j=1$ &    58.4899     & 58.2942 & 58.2970 & 58.2985  \\
%$j=2$ & 58.4979 & 58.3060 & 58.3075 & 58.3081  \\
%$j=3$ &  &  &  &   
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c} 
%  $\big\|V_\text{m,ref,2}^{2,j,m}\big\|_{0,(0,T)}$
%      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   \\
%\hline
%$j=0$ &    58.2611     & 58.2761 & 58.2787 &   58.2807\\
%$j=1$ &    58.2818     & 58.2925 & 58.2944 & 58.2954  \\
%$j=2$ & 58.3061 & 58.3027 & 58.3038 & 58.3044  \\
%$j=3$ &  &  &  &   
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c} 
%  $\big\|V_\text{m,ref,3}^{2,j,m}\big\|_{0,(0,T)}$
%      & $m= 0$  & $m= 1$  & $m=2$   & $m=3$   \\
%\hline
%$j=0$ &   58.2349      & 58.6878 & 58.6905 & 58.6921\\
%$j=1$ &     58.2759    & 58.7005 & 58.7023 & 58.7033  \\
%$j=2$ & 58.2951 & 58.7098 & 58.7105 & 58.7109  \\
%$j=3$ &  &  &  &   
%\end{tabular}
%\centerline{Results for the seismograms for different
%  time discretization parameters on level $\ell =2$.}
%\label{tab:convergence}
%\end{table}
%
%\begin{table}[H]
%  \centering
%\begin{tabular}{c|c|c|c|c} 
%      & $j=0$ & $j= 1$  & $j= 2$  & $j=3$   \\
%\hline
%$\big\|V_\text{m,ref,1}^{2,j,1}-V_\text{m,ref,1}^{2,j,0}\big\|_{0,(0,T)}$
%&     16.6648     & 16.8698  & 16.9555  & 
%\\
%$\big\|V_\text{m,ref,1}^{2,j,2}-V_\text{m,ref,1}^{2,j,1}\big\|_{0,(0,T)}$
%&  0.6162  & 0.2838  & 0.1684  &   
%\\
%$\big\|V_\text{m,ref,1}^{2,j,3}-V_\text{m,ref,1}^{2,j,2}\big\|_{0,(0,T)}$
%& 0.3491   &  0.1637 &  0.0872 &   
%
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c} 
%     & $j=0$ & $j= 1$  & $j= 2$  & $j=3$   \\
%\hline
%$\big\|V_\text{m,ref,2}^{2,j,1}-V_\text{m,ref,2}^{2,j,0}\big\|_{0,(0,T)}$
%&    22.0490      &   22.5132   &   22.8282 &
%\\
%$\big\|V_\text{m,ref,2}^{2,j,2}-V_\text{m,ref,2}^{2,j,1}\big\|_{0,(0,T)}$
%&  1.6559  &   0.8878   &  0.4764  &  
%\\
%$\big\|V_\text{m,ref,2}^{2,j,3}-V_\text{m,ref,2}^{2,j,2}\big\|_{0,(0,T)}$
%&  1.1745  &    0.5060  & 0.2534  &  
%
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c} 
%     & $j=0$ & $j= 1$  & $j= 2$  & $j=3$   \\
%\hline
%$\big\|V_\text{m,ref,3}^{2,j,1}-V_\text{m,ref,3}^{2,j,0}\big\|_{0,(0,T)}$
%&    12.8567      &   13.5540  & 14.0673  &  
%\\ 
%$\big\|V_\text{m,ref,3}^{2,j,2}-V_\text{m,ref,3}^{2,j,1}\big\|_{0,(0,T)}$
%&  3.1229  &   1.6490   &  0.9165 &  
%\\
%$\big\|V_\text{m,ref,3}^{2,j,3}-V_\text{m,ref,3}^{2,j,2}\big\|_{0,(0,T)}$
%&  1.8502  &  1.0188   & 0.5198 &  
%
%\end{tabular}
%
%\centerline{Convergence test for the substepping steps $M=2^m$ for different time step size
%${\vartriangle} t = 0.2*2^{-j}$ ms.}
%\end{table}
%
%
%
%
%\begin{table}[H]
%  \centering
%
%\begin{tabular}{c|c|c|c|c} 
% & $m= 0$  & $m= 1$  & $m=2$   & $m=3$     \\
%\hline
%$\big\|V_\text{m,ref,1}^{2,1,m}-V_\text{m,ref,1}^{2,0,m}\big\|_{0,(0,T)}$
%&    0.7208      &     0.9397    & 0.6267  &  0.5060         
%\\
%$\big\|V_\text{m,ref,1}^{2,2,m}-V_\text{m,ref,1}^{2,1,m}\big\|_{0,(0,T)}$
%&      0.8289    & 0.3809  & 0.2740 &   0.2015   
%\\
%$\big\|V_\text{m,ref,1}^{2,3,m}-V_\text{m,ref,1}^{2,2,m}\big\|_{0,(0,T)}$
%&    &   &   &           
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c} 
% & $m= 0$  & $m= 1$  & $m=2$   & $m=3$     \\
%\hline
%$\big\|V_\text{m,ref,2}^{2,1,m}-V_\text{m,ref,2}^{2,0,m}\big\|_{0,(0,T)}$
%&    0.8866      &     2.8669    &  2.2889 &    1.8114      
%\\
%$\big\|V_\text{m,ref,2}^{2,2,m}-V_\text{m,ref,2}^{2,1,m}\big\|_{0,(0,T)}$
%&   1.6480       & 1.3110 & 0.9364 &  0.7077
%\\
%$\big\|V_\text{m,ref,2}^{2,3,m}-V_\text{m,ref,2}^{2,2,m}\big\|_{0,(0,T)}$
%&   &   &   &   
%
%\end{tabular}
%
%\bigskip
%
%\begin{tabular}{c|c|c|c|c} 
% & $m= 0$  & $m= 1$  & $m=2$   & $m=3$    \\
%\hline
%$\big\|V_\text{m,ref,3}^{2,1,m}-V_\text{m,ref,3}^{2,0,m}\big\|_{0,(0,T)}$
%&     0.7807     &      4.6401   &    4.0908  &    3.7978 
%\\
%$\big\|V_\text{m,ref,3}^{2,2,m}-V_\text{m,ref,3}^{2,1,m}\big\|_{0,(0,T)}$
%&   2.8696       &  2.6386 & 2.0319 &  1.6087
%\\
%$\big\|V_\text{m,ref,3}^{2,3,m}-V_\text{m,ref,3}^{2,2,m}\big\|_{0,(0,T)}$
%&    &   &   & 
%\end{tabular}
%
%\centerline{Convergence test in time
%${\vartriangle} t = 2^{-j}$ ms
%for the different substepping steps $M=2^m$.}
%\end{table}
%
